<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="findKey.aspx.cs" Inherits="ZYDN.Web.system.myWeb.findKey" %>
<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>站内搜索关键字</title>
   	<link rel="stylesheet" type="text/css" href="../skins/css/main.css" />
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"></head>
	<link rel="stylesheet" type="text/css" href="../skins/css/Sys.css" />
	<script type="text/javascript" language="javascript" src="../js/JFramework.js"></script>
	<script type="text/javascript" language="javascript" src="../js/Sys.js"></script>

	<script type="text/javascript" language="javascript" >
	var objAjax=new JAjax();
	var tempObj,selectObj;
	
	
	function pageLoad(){
				 loadBodyclick();		
			var t=new outTitle();
			t.add("关键字","","150");
			t.add("查询次数","","150");
			t.add("搜索结果","","200");
			t.obj=$("pTitle");
			t.create();	
			
			loadData(1);
			
	}
	
	
	
	
	function loadData(page){
	    if (page==null){page=1;}
	    var pagesize=16;
   		var objResponse=new JHttpResponse();
		objResponse.write("page",page);
		objResponse.write("pagesize",pagesize);
		objResponse.write("view",this.viewType);
		var out=objAjax.getText("post","findKey.aspx?type=readList",objResponse,null);
			
		if (out==""){
			alert("对不起,没找到数据");
			return false;
		}
		//alert(out)
		
		  out= comminute(out,c1,c2);  //分割数据
		  this.userList=out;
		  
		  var page=out[0];
		  this.mPage=page[2];
		  
		  var wData=new tabList();
		  wData.obj=$("pBody");   //放数据的对象
		  wData.rowid="pFind_";                          //行的ID
		  wData.rowClass="tabListBodyRow";                 //行的样式
		  wData.mode=1;                                    //数据显示的格式
		  wData.isCheckbox=false;                          //加上复选框
		  wData.checkBoxID="";                      //复选框名
		  wData.onmouseroverRun="rowonmouseover";           //鼠标移上
		  wData.onmouseroutRun="rowonmouseout";             //鼠标移走
		  wData.onclickRun="";                    //鼠标单击
		  wData.ondblclickRun="";                   //鼠标双击
		  wData.add(raadArray(out,1),"listBodyOption","150");    //
		  wData.add(raadArray(out,2),"listBodyOption","150");    //
		  wData.add(raadArray(out,0),"listBodyOption","200");     //添加一列数据 w
		  wData.addid(raadArray(out,0));                         //添加行标识 TID
		  wData.create();		  
		  
		   var wPage=new outPage();
		  wPage.obj=document.getElementById("userPage");
		  wPage.pageArray=page;
		  wPage.run="loadData";
		  wPage.create();
	
	
		  var cObj=document.getElementsByName("pFind__2"); 
		  var cObj1=document.getElementsByName("pFind__0");
		  for (var i=0;i<cObj.length;i++){
    		  cObj[i].innerHTML="查看";
    		  cObj[i].title=cObj1[i].innerText;
			  cObj[i].onclick=function(){
			      window.open("../../s.aspx?findKey="+this.title);
			  }
		  }
	}
	
	
	
	
	var rowonmouseover=function(obj){
		tempObj=obj;
		obj.className="tabListBodyRow_1";
	}
	
	
	var rowonmouseout=function(obj){
		//	alert(obj.tid)
		tempObj=null;
		if (obj !=selectObj){
			obj.className="tabListBodyRow";
		}
		
	}
	
	</script>
<body onLoad="pageLoad();">
   
    <div>
    <div id="pTitle" class="titleRow">
    </div>
    <div id="pBody" style="height:350px; overflow:scroll;">
    
    
    </div>
    
    <div id="userPage" class="pageRow"></div>
    </div>
  
</body>
</html>
